#!/usr/bin/env sh
# Check if cluster directory was available from cache

set -ve

# shellcheck disable=SC2039,SC3028
VPS_HOSTNAME="$HOSTNAME"

# Delete old machine if it still exists
echo "Deleting old machine"
python3 -c "import greenhost_cloud;
greenhost_cloud.terminate_droplets_by_name(\"^${VPS_HOSTNAME}$\")"
echo "Creating new machine"
# Uses a custom disk image built with a6854a89 on 2022-01-28. See
# CONTRIBUTING.md#ci-pipeline-image for more info.
python3 -m stackspin "$VPS_HOSTNAME" create \
  --create-droplet "$DOMAIN" \
  --create-hostname "$VPS_HOSTNAME" \
  --ssh-key-id "$SSH_KEY_ID" \
  --create-domain-records \
  --subdomain "$SUBDOMAIN" \
  --disk-image-id '-10248' \
  --truncate-subdomain
# Disabled for now, see https://open.greenhost.net/stackspin/stackspin/-/issues/1057
# --docker-mirror-server="${CI_DEPENDENCY_PROXY_SERVER}" \
# --docker-mirror-endpoint="${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}" \
# --docker-mirror-username="${CI_RUNNER_PERSONAL_ACCESS_USERNAME}" \
# --docker-mirror-password="${CI_RUNNER_PERSONAL_ACCESS_TOKEN}"
